<?php

namespace App\Service\SnipParser\Stages;

use League\Pipeline\StageInterface;

class HtmlEscapeStage implements StageInterface
{
    public function __invoke(mixed $payload): string
    {
        return htmlspecialchars($payload, ENT_QUOTES | ENT_SUBSTITUTE, 'UTF-8');
    }
}